Subject: Re: bug#53698: 29.0.50; ibus input method of chinese with rime engine can't work in v27 and ibus candidate menu blink in v29

From: Štěpán Němec <[email-masked]>
Date: Fri, 04 Feb 2022 05:40:02 +0100

On Fri, 04 Feb 2022 10:20:46 +0800
Po Lu via wrote:

> Štěpán Němec <[email-masked]> writes:
>
>> all seems back to normal: IME and XkbLayout switching works, as well as
>> binding C-S-u separately from C-u. (That's with x-gtk-use-native-input
>> at its default nil value; with it set non-nil, XkbLayout switching still
>> works and C-S-u is still separate from C-u, but I am unable to activate
>> the IME (fcitx) in Emacs; I'm not sure that is a problem, though: all I
>> wished for was for the former to continue working.)
>>
>> Thanks!
>
> Thanks, the problem with `x-gtk-use-native-input' should be fixed now as
> well.

Unfortunately, as of

a654985bca4c
Author: Po Lu <[email-masked]>
Date:   Fri Feb 4 03:28:05 2022 +0000

    Make Emacs build with some other XLib implementations

it's a mess again.

Steps from emacs -Q -r:

1.
fcitx and XkbLayout switching works
(global-set-key (kbd "C-S-u") #'ding) "works" (separate from C-u)

2.
(setq x-gtk-use-native-input t)
C-S-u becomes C-u
fcitx and XkbLayout switching still works

3.
(setq x-gtk-use-native-input nil)
C-S-u becomes separate again
fcitx and XkbLayout switching breaks (the flickering issue again)

toggling x-gtk-use-native-input now again goes back to state 2., 3... ad
infinitum, state 1. (which is the one we/I want) seems unattainable at
this point.

-- 
Štěpán